/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

 #include "globals.h"
 
 #include <qdir.h>
 
QString  mp_dir;

/** set the main project directory from argv[0]
*/
void setMP_DIR(char * argv0){ 
 if(mp_dir.length() == 0){ // do not allow modifications
    qDebug("argv[0] : %s", argv0);
    QFileInfo mpBinary(argv0);
    QDir dir( mpBinary.dir(true)); //absolute directory path of the binary, we are in moneypenny/bin now
    dir.cd("..");// go up to the main dir
    mp_dir = dir.path() +"/";
    qDebug("MoneyPenny main directory MP_DIR: %s", mp_dir.latin1());
 }
}

QString MP_DIR(){
  return mp_dir;
}
